using System;
using System.Collections.Generic;
namespace TFramework
{
    [AttributeUsage(AttributeTargets.Field,AllowMultiple =false)]
    public class LanguageAttribute : Attribute
    {
        public string LanguageType { get; private set; }

        public LanguageAttribute(string language)
        {
            LanguageType = language;
        }
    }

    public class ILanguage { };

    [Serializable]
    public class Language 
    {
        [Language("中文")]
        public string zh;

        [Language("English")]
        public string en;
    }
}